Loading...
Searching...
No Matches
casacore::BitFlagsEngine< StoredType >::FlagsToBool Struct Reference

Functor to and an array and mask and convert to Bool. More...

## Public Member Functions

| FlagsToBool (StoredType readMask)
Bool | operator() (StoredType value) const

## Private Attributes

StoredType | itsMask

## Detailed Description

template<typename StoredType>
struct casacore::BitFlagsEngine< StoredType >::FlagsToBool

Functor to and an array and mask and convert to Bool.

Definition at line 333 of file BitFlagsEngine.h.

## Constructor & Destructor Documentation

## FlagsToBool()

template<typename StoredType>

casacore::BitFlagsEngine< StoredType >::FlagsToBool::FlagsToBool | ( | StoredType | readMask | ) |

inline explicit

Definition at line 335 of file BitFlagsEngine.h.

References itsMask.

## Member Function Documentation

## operator()()

template<typename StoredType>

Bool casacore::BitFlagsEngine< StoredType >::FlagsToBool::operator() | ( | StoredType | value | ) | const

inline

Definition at line 336 of file BitFlagsEngine.h.

References itsMask, and casacore::NewDelAllocator< T >::value.

## Member Data Documentation

## itsMask

template<typename StoredType>

StoredType casacore::BitFlagsEngine< StoredType >::FlagsToBool::itsMask

private

Definition at line 339 of file BitFlagsEngine.h.

Referenced by FlagsToBool(), and operator()().

The documentation for this struct was generated from the following file:

- tables/DataMan/BitFlagsEngine.h